gnome-mag: GNOME::Magnifier::Magnifier Interface Reference

# GNOME::Magnifier::Magnifier Interface Reference

`import "GNOME_Magnifier.idl";`

## Public Member Functions
Bonobo::PropertyBag | getProperties ()
| Get the current property settings for this Magnifier.
boolean | fullScreenCapable ()
| Consult if the Magnifier can magnify in full-screen mode.
void | hideCursor ()
| Hide the original cursor.
void | showCursor ()
| Show the original cursor.
boolean | supportColorblindFilters ()
| Consult if the Magnifier can apply colorblind image filters.
ZoomRegion | createZoomRegion (in float zx, in float zy, in RectBounds ROI, in RectBounds viewport)
| Create a new zoom region for the magnifier.
ZoomRegionList | getZoomRegions ()
boolean | addZoomRegion (in ZoomRegion region)
| Add a new ZoomRegion to the list of currently defined ZoomRegions for this Magnifier instance.
void | clearAllZoomRegions ()
| Clears and destroys all currently defined zoom regions.
void | dispose ()
| Unmap the current magnifier from the display, destroy its resources, and exit.
## Data Fields
attribute string | SourceDisplay
| a `string` specifying the name of the display and screen (on X Windows systems, as used by XOpenDisplay) on which the "source" pixels (e.g.
attribute string | TargetDisplay
| a `string` specifying the name of the display and screen onto which the magnified image is to be placed.

## Detailed Description

Definition at line 200 of file GNOME_Magnifier.idl.

## Member Function Documentation

Bonobo::PropertyBag GNOME::Magnifier::Magnifier::getProperties | ( |  | ) |

Get the current property settings for this Magnifier.

Properties managed by the magnifier include "cursor-set", "cursor-size", "cursor-mag-factor", "target-display-bounds", "source-display-size".

Returns:
  a Bonobo::PropertyBag containing the Magnifier's properties.

boolean GNOME::Magnifier::Magnifier::fullScreenCapable | ( |  | ) |

Consult if the Magnifier can magnify in full-screen mode.

Returns:
  TRUE if it can or FALSE otherwise.

void GNOME::Magnifier::Magnifier::hideCursor | ( |  | ) |

Hide the original cursor.

void GNOME::Magnifier::Magnifier::showCursor | ( |  | ) |

Show the original cursor.

boolean GNOME::Magnifier::Magnifier::supportColorblindFilters | ( |  | ) |

Consult if the Magnifier can apply colorblind image filters.

Returns:
  TRUE if it can or FALSE otherwise.

ZoomRegion GNOME::Magnifier::Magnifier::createZoomRegion | ( | in float | zx,
|  | in float | zy,
|  | in RectBounds | ROI,
|  | in RectBounds | viewport |
| ) |  |  |

Create a new zoom region for the magnifier.

The new region is initially 'unmanaged'; that is, it is not associated with a particular sub-region of the "source" display.

Parameters:

  | zx,: | the scale factor in the x direction for the new zoom region
  | zy,: | the scale factor in the y direction for the new zoom region
  | ROI,: | the initial ROI of the zoom region. RectBounds of negative width/height indicates that the zoom region has no initial ROI.
  | viewport,: | the initial bounds of the ZoomRegion's viewport, in the target display coordinate system.

Returns:
  the newly created ZoomRegion.

ZoomRegionList GNOME::Magnifier::Magnifier::getZoomRegions | ( |  | ) |

Returns:
  a ZoomRegionList including all currently defined ZoomRegions for this Magnifier instance.

boolean GNOME::Magnifier::Magnifier::addZoomRegion | ( | in ZoomRegion | region | ) |

Add a new ZoomRegion to the list of currently defined ZoomRegions for this Magnifier instance.

Returns:
  `True` if successful, `False` if the ZoomRegion cannot be added.

void GNOME::Magnifier::Magnifier::clearAllZoomRegions | ( |  | ) |

Clears and destroys all currently defined zoom regions.

void GNOME::Magnifier::Magnifier::dispose | ( |  | ) |

Unmap the current magnifier from the display, destroy its resources, and exit.

## Field Documentation

attribute string GNOME::Magnifier::Magnifier::SourceDisplay

a `string` specifying the name of the display and screen (on X Windows systems, as used by XOpenDisplay) on which the "source" pixels (e.g.

unmagnified image) are located.

Definition at line 207 of file GNOME_Magnifier.idl.

attribute string GNOME::Magnifier::Magnifier::TargetDisplay

a `string` specifying the name of the display and screen onto which the magnified image is to be placed.

Definition at line 213 of file GNOME_Magnifier.idl.

The documentation for this interface was generated from the following file:

- GNOME_Magnifier.idl